# Always prefer setuptools over distutils
from setuptools import setup
# To use a consistent encoding
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

with open(path.join(here, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='stapsdt',
    version='0.1.1',
    description='Create USDT probes and instrument your Python application dynamically',
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://github.com/sthima/python-stapsdt',
    author='Matheus Marchini',
    author_email='matheus@sthima.com',
    license='MIT',

    # See https://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        # How mature is this project? Common values are
        #   3 - Alpha
        #   4 - Beta
        #   5 - Production/Stable
        'Development Status :: 4 - Beta',

        # Indicate who your project is intended for
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Debuggers',

        # Pick your license as you wish (should match "license" above)
        'License :: OSI Approved :: MIT License',

        # Specify the Python versions you support here. In particular, ensure
        # that you indicate whether you support Python 2, Python 3 or both.
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],

    # What does your project relate to?
    keywords='usdt stapsdt systemtap sdt tracing probes instrumentation performance',

    build_requires=["pypandoc"],

    # packages=find_packages(exclude=['contrib', 'docs', 'tests']),
    py_modules=["stapsdt"],
)
